import { renderless, api } from '@opentinyvue/vue-renderless/virtual-tree/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import VirtualScrollBox from '@opentinyvue/vue-virtual-scroll-box';
import Tree from '@opentinyvue/vue-tree';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  inheritAttrs: false,
  props: [].concat(props, ["width", "height", "rowHeight", "scrollbarSize", "treeOp"]),
  components: {
    TinyVirtualScrollBox: VirtualScrollBox,
    TinyTree: Tree
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("tiny-virtual-scroll-box", _vm._b({
    ref: "vsBox",
    staticClass: "tiny-virtual-tree",
    on: {
      "change": _vm.onVsBoxChange
    }
  }, "tiny-virtual-scroll-box", _vm.state.vsBoxOptions, false), [_c("tiny-tree", _vm._g(_vm._b({
    ref: "tree",
    style: _vm.state.treeStyle,
    on: {
      "node-expand": _vm.onTreeChange,
      "node-collapse": _vm.onTreeChange
    },
    scopedSlots: _vm._u([_vm.slots.empty ? {
      key: "empty",
      fn: function fn(params) {
        return [_vm._t("empty", null, null, params)];
      }
    } : null, _vm.slots.default ? {
      key: "default",
      fn: function fn(params) {
        return [_vm._t("default", null, null, params)];
      }
    } : null, _vm.slots.prefix ? {
      key: "prefix",
      fn: function fn(params) {
        return [_vm._t("prefix", null, null, params)];
      }
    } : null, _vm.slots.suffix ? {
      key: "suffix",
      fn: function fn(params) {
        return [_vm._t("suffix", null, null, params)];
      }
    } : null, _vm.slots.operation ? {
      key: "operation",
      fn: function fn(params) {
        return [_vm._t("operation", null, null, params)];
      }
    } : null], null, true)
  }, "tiny-tree", _vm.state.treeOptions, false), _vm.state.treeEvents))], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
